#version 120

uniform sampler2D texture;
uniform float time = 1.0;

void main()
{
	vec2 coord=gl_TexCoord[0].st;
	coord.s += sin(coord.t*7 + time*2)*0.04;
	coord.t
		+= sin(coord.s*10 + time*8)*0.05
		 + sin(coord.s*15 + time*3)*0.03
		 + sin(coord.s*5 + time*6)*0.08
		 + sin(coord.s*4 + time*7)*0.10;
    vec4 pixel = texture2D(texture, coord);
    gl_FragColor = vec4(pixel.r, pixel.g, pixel.b, pixel.a) * gl_Color;
}
